<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.3.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.3.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="f7733a81-3b58-486a-90fb-3aeaaa168c06" data-root-id="p1040" style="display: contents;"></div>
  
    <script type="application/json" id="p1043">
      {"9e67f729-b523-442e-815c-a7f1975a4a9f":{"version":"3.3.1","title":"Bokeh Application","roots":[{"type":"object","name":"Column","id":"p1040","attributes":{"children":[{"type":"object","name":"Row","id":"p1038","attributes":{"children":[{"type":"object","name":"Button","id":"p1037","attributes":{"button_type":"success","subscribed_events":{"type":"set","entries":["button_click"]},"label":"Next Page"}}]}},{"type":"object","name":"Row","id":"p1039","attributes":{"children":[{"type":"object","name":"Figure","id":"p1004","attributes":{"height":400,"x_range":{"type":"object","name":"DataRange1d","id":"p1006"},"y_range":{"type":"object","name":"FactorRange","id":"p1014","attributes":{"factors":["Sevilla FC","Atletico de Madrid","Getafe CF","FC Barcelona","Celta de Vigo","Athletic Bilbao","Malaga CF","RCD Espanyol Barcelona","Valencia CF","Real Sociedad","Villarreal CF","Levante UD","Tottenham Hotspur","Deportivo de La Coru\u00c3\u0192\u00c2\u00b1a","Rayo Vallecano","Granada CF","CA Osasuna","AS Roma","Juventus FC","Bayern Munich","Ajax Amsterdam","Arsenal FC","Aston Villa","Cagliari Calcio","Newcastle United","Wigan Athletic","Elche CF","FC Schalke 04","SD Eibar","RCD Mallorca","UD Almeria","Real Zaragoza","Fulham FC","Udinese Calcio","Borussia Dortmund","Racing Santander","APOEL Nicosia","Real Betis Balompie","Sporting Gij\u00c3\u0192\u00c2\u00b3n","Galatasaray","US Sassuolo","Portsmouth FC","Parma Calcio 1913","Everton FC","Olympique Lyon","Bolton Wanderers","Atalanta BC","AC Milan","Malm\u00c3\u0192\u00c2\u00b6 FF","West Ham United","Genoa CFC","Middlesbrough FC","UC Sampdoria","Deportivo Alaves","SS Lazio","Shakhtar Donetsk","Manchester City","Torino FC","Girona FC","Inter Milan","SSC Napoli","Norwich City","Al-Wehda FC","Derby County","Dynamo Kyiv","Reading FC","Xerez CD","Olympique Marseille","West Bromwich Albion","ACF Fiorentina","Kashima Antlers","VfL Wolfsburg","Sporting CP","UD Las Palmas","Blackburn Rovers","Liverpool FC","SPAL","Paris Saint-Germain","Manchester United","FC Copenhagen","Hellas Verona","CSKA Moscow","Spezia Calcio","Real Valladolid CF","Damac FC","Bayer 04 Leverkusen","Southampton FC","Empoli FC ","Bologna FC 1909","Frosinone Calcio","Watford FC","FC Crotone","FC Sheriff","Birmingham City","Hercules CF","FC Z\u00c3\u0192\u00c2\u00bcrich","FC Basel 1893","Stoke City","Chelsea FC","Ludogorets Razgrad","Moreirense FC","Hull City","C\u00c3\u0192\u00c2\u00b3rdoba CF","Abha Club","Al-Fateh","Real Murcia CF","AJ Auxerre","Brighton &amp; Hove Albion","Brentford FC","Burnley FC","CD Estarreja","BSC Young Boys","SD Ponferradina","Ferencvarosi TC","US Lecce","FC Oliveira do Hospital","CD Tenerife","FC Internazionale","Boavista FC","FC Porto","Millwall FC","Gamba Osaka","Exeter City","Al-Jazira (Abu Dhabi)","Debreceni VSC","CF America","Charlton Athletic","Sunderland AFC","Gr\u00c3\u0192\u00c2\u00aamio Foot-Ball Porto Alegrense"]}},"x_scale":{"type":"object","name":"LinearScale","id":"p1015"},"y_scale":{"type":"object","name":"CategoricalScale","id":"p1016"},"title":{"type":"object","name":"Title","id":"p1007","attributes":{"text":"Total Goals Scored by Ronaldo Against Each Opponent"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1034","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1001","attributes":{"selected":{"type":"object","name":"Selection","id":"p1002","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1003"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAACAAAAAwAAAAQAAAAFAAAABgAAAAcAAAAIAAAACQAAAA=="},"shape":[10],"dtype":"int32","order":"little"}],["Opponent",{"type":"ndarray","array":["Sevilla FC","Atletico de Madrid","Getafe CF","FC Barcelona","Celta de Vigo","Athletic Bilbao","Malaga CF","RCD Espanyol Barcelona","Valencia CF","Real Sociedad"],"shape":[10],"dtype":"object","order":"little"}],["Goals",{"type":"ndarray","array":{"type":"bytes","data":"GwAAABkAAAAXAAAAFAAAABQAAAARAAAAEQAAAA8AAAAPAAAADwAAAA=="},"shape":[10],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1035","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1036"}}},"glyph":{"type":"object","name":"HBar","id":"p1031","attributes":{"y":{"type":"field","field":"Opponent"},"height":{"type":"value","value":0.8},"right":{"type":"field","field":"Goals"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"HBar","id":"p1032","attributes":{"y":{"type":"field","field":"Opponent"},"height":{"type":"value","value":0.8},"right":{"type":"field","field":"Goals"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"HBar","id":"p1033","attributes":{"y":{"type":"field","field":"Opponent"},"height":{"type":"value","value":0.8},"right":{"type":"field","field":"Goals"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1013","attributes":{"tools":[{"type":"object","name":"HoverTool","id":"p1027","attributes":{"renderers":"auto","tooltips":"Goals: @Goals"}}]}},"left":[{"type":"object","name":"CategoricalAxis","id":"p1022","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1023"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1024"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p1025"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p1017","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1018","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1019"},"axis_label":"Total Goals","axis_label_standoff":12,"major_label_policy":{"type":"object","name":"AllLabels","id":"p1020"}}}],"center":[{"type":"object","name":"Grid","id":"p1021","attributes":{"axis":{"id":"p1017"}}},{"type":"object","name":"Grid","id":"p1026","attributes":{"dimension":1,"axis":{"id":"p1022"},"grid_line_color":null}}]}}]}}]}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1043').textContent;
              const render_items = [{"docid":"9e67f729-b523-442e-815c-a7f1975a4a9f","roots":{"p1040":"f7733a81-3b58-486a-90fb-3aeaaa168c06"},"root_ids":["p1040"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>